# 
# $Id$
# 
# [ Description ]
# 
# Makefile
# 
# DIR_MORPHEO must be defined

RegisterFile_Monolithic			= yes

ifndef Behavioural
include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
endif

#-----[ Library ]------------------------------------------
RegisterFile_Monolithic_LIBRARY		= 	-lRegisterFile_Monolithic		\
					$(Behavioural_LIBRARY)	

RegisterFile_Monolithic_DIR_LIBRARY	=	-L$(DIR_MORPHEO)/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/lib	\
					$(Behavioural_DIR_LIBRARY)	

#-----[ Rules ]--------------------------------------------

RegisterFile_Monolithic_library		:
				@\
				$(MAKE)  Behavioural_library; \
				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic --makefile=Makefile;
	
RegisterFile_Monolithic_library_clean	:
				@\
				$(MAKE)  Behavioural_library_clean; \
				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic --makefile=Makefile clean;
